Skip to main content

Get voucher by ID

GET /v1/public/vouchers/{id}

Returns one merchant voucher template.

Authorization​

X-API-Key required with the vouchers:read scope

Parameters​

NameLocationTypeRequiredDescription
idpathstringYesThe resource's returned id or externalId.

Request example​

curl -X GET "https://api.remyrewards.co.uk/v1/public/vouchers/66c735e253f2836fbe941234" \
  -H "Accept: application/json" \
  -H "X-API-Key: YOUR_API_KEY"

Responses​

StatusDescription
200Voucher template retrieved.
401The API key is missing or invalid.
404The requested integration resource was not found.
429A rate or concurrency limit was exceeded.

Success response example​

{
"success": true,
"data": {
"id": "66c735e253f2836fbe941111",
"title": "£25 Gift Voucher",
"type": "fixed",
"value": 25,
"currency": {
"symbol": "£",
"code": "GBP"
},
"active": true
}
}